#pragma once
#include "levelmanager.hpp"
#include "constants.hpp"
#include <deque>
#include "textures.hpp"
#include "guecs.hpp"

namespace gui {
  class StatusUI {
    public:
      guecs::UI $gui;
      DinkyECS::Entity $log_to;
      std::deque<std::string> $messages;
      GameLevel $level;
      StatusUI(GameLevel level);
      void update_level(GameLevel &level) { $level = level; }
      void log(std::string msg);
      void render();
      void draw(sf::RenderWindow &window);
  };
}
